Name: cadaver
Version: 0.22.1
Release: 1.legacy
Source: http://www.webdav.org/cadaver/cadaver-%{version}.tar.gz
Patch0: cadaver-0.22.1-CAN-2004-0398.patch
Group: Applications/Internet
URL: http://www.webdav.org/cadaver/
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Summary: A command-line WebDAV client.
BuildPrereq: libxml2-devel, ncurses-devel, openssl-devel, readline-devel
BuildPrereq: libtool, zlib-devel
BuildConflicts: krb5-devel

%description
cadaver is a command-line WebDAV client. It supports file upload,
download, on-screen display, namespace operations (move/copy),
collection creation and deletion, and locking operations.

%prep
%setup -q
%patch -p1 -b .can0398

%build
%configure --with-ssl --with-libxml2
make

%clean
rm -fr $RPM_BUILD_ROOT

%install
rm -fr $RPM_BUILD_ROOT
%makeinstall

%files
%defattr(-,root,root)
%doc ChangeLog COPYING* FAQ INSTALL INTEROP NEWS README THANKS TODO
%{_bindir}/*
%{_mandir}/*/*

%changelog
* Tue Jun  1 2004 Marc Deslauriers <marcdeslauriers@videotron.ca> 0.22.1-1.legacy
- Bump to 0.22.1
- Added patch for CAN-2004-0398
- Added libtool and zlib-devel prereq
- Added krb5-devel buildconflict

* Sat May  1 2004 Seth Vidal <skvidal@phy.duke.edu> 0.22.0-1.legacy
- bump to 0.22.0
- fixes http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0179
- fix to make sure ssl support is still enabled

* Mon Apr 15 2002 Joe Orton <jorton@redhat.com>  0.19.1-3
- fix compatibility with libxml 2.4.18 (#63358), remove apache-devel prereq

* Fri Feb 22 2002 Nalin Dahyabhai <nalin@redhat.com>  0.19.1-2
- rebuild

* Wed Jan 23 2002 Nalin Dahyabhai <nalin@redhat.com>  0.19.1-1
- update to 0.19.1
- depend on libxml2 instead of libxml

* Wed Jan 09 2002 Tim Powers <timp@redhat.com> 0.17.0-3
- automated rebuild

* Thu Jul 12 2001 Nalin Dahyabhai <nalin@redhat.com> 0.17.0-2
- add a couple of missing build prerequisites
- enable use of libxml

* Wed May 22 2001 Nalin Dahyabhai <nalin@redhat.com> 0.17.0-1
- update to 0.17.0

* Fri Mar  2 2001 Tim Powers <timp@redhat.com>
- rebuilt against openssl-0.9.6-1

* Fri Jan 19 2001 Nalin Dahyabhai <nalin@redhat.com>
- update to 0.16.0

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov  8 2000 Nalin Dahyabhai <nalin@redhat.com>
- initial Power Tools build
